%define upstream_name    CGI-Emulate-PSGI
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PSGI adapter for CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(HTTP::Response)
BuildArch:  noarch

%description
  use CGI::Parse::PSGI qw(parse_cgi_output);

  my $output = YourApp->run;
  my $psgi_res = parse_cgi_output(\$output);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Tue Nov 08 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 165280
- Disable checks for now, as it breaks build only on the BS.
- update to 0.14

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 154780
- adding missing buildrequires:
- update to 0.13

* Tue Jun 21 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 111296
- imported package perl-CGI-Emulate-PSGI


* Tue Jun 21 2011 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
